import axios from "../../../config/axios";
import type {
  CreateReportCategoryType,
  ReportResponse,
  ReportCategoriesResponse,
} from "../types/Types";

export const getProductReport = async (): Promise<ReportResponse> => {
  const { data } = await axios.get("/admin/products/user-reports");
  return data;
};

export const createReportCategory = async (
  params: CreateReportCategoryType
) => {
  const { data } = await axios.post("/admin/products/report-question", params);
  return data;
};

export const getReportCategories = async (): Promise<
  ReportCategoriesResponse
> => {
  const { data } = await axios.get("/admin/products/report-questions");
  return data;
};
